user-select:none for editsection buttons and other buttons
Closed, ResolvedPublic

Description

The edit section buttons are selectable and are annoying when transfer the HTML text with copy and paste to a word processing program.

It is possible to disable the selection for specific elements:

https://developer.mozilla.org/en/CSS/user-select

.editsection {
-moz-user-select: none;
-webkit-user-select: none;
-ms-user-select: none;
}

The hide/show buttons should also be not selectable.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60441

bzimport set Reference to bz34445.
Fomafix created this task.Via LegacyFeb 16 2012, 3:26 PM
brion added a comment.Via ConduitFeb 16 2012, 8:30 PM

Done for 1.20 in r111676:

Tested on current Firefox, Chrome, Safari, Opera:

  • Firefox excludes from select and copy
  • Chrome, Safari exclude from select, but they turn up on the copy
  • Opera doesn't seem to support the setting (event namespaced)
  • IE not tested but 10 should support it if 9 doesn't
Fomafix added a comment.Via ConduitFeb 17 2012, 2:03 PM

The buttons from https://www.mediawiki.org/wiki/Manual:Collapsible_elements should also be not selectable: CSS class: mw-collapsible-toggle

duplicatebug added a comment.Via ConduitFeb 18 2012, 5:54 PM

Maybe create a own class .nouserselect for this like .noprint for non-printable content.

Fomafix added a comment.Via ConduitFeb 19 2012, 2:59 PM

All buttons in the page content should

  • not printed
  • not be selectable and copyable
  • have the user interface language and direction

A new class should activate all the requirements at once.

Maybe the whole MediaWiki frame which is excluded in print version should also be not selectable. Then the content is transferable to a word processing by selecting everything (Ctrl+A) and copy (Ctrl+C).

gerritbot added a comment.Via ConduitJan 5 2014, 11:22 PM

Change 105621 had a related patch set uploaded by Gerrit Patch Uploader:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105621

gerritbot added a comment.Via ConduitJan 6 2014, 3:05 PM

Change 105689 had a related patch set uploaded by Gerrit Patch Uploader:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105689

gerritbot added a comment.Via ConduitJan 9 2014, 12:48 PM

Change 105621 abandoned by Bartosz Dziewoński:
Exclude toggle button of collapsible elements from user selection

Reason:
Superseded by https://gerrit.wikimedia.org/r/#/c/105689/

https://gerrit.wikimedia.org/r/105621

gerritbot added a comment.Via ConduitJan 9 2014, 12:53 PM

Change 105689 merged by jenkins-bot:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105689

He7d3r added a comment.Via ConduitJan 26 2014, 12:36 PM

Some notes on gerrit change 105689:

  • This doesn't prevent users from copying the "[edit]" (at least not on Google Chrome) together with the page content. If I go to

https://en.wikipedia.org/wiki/Example?oldid=587367910
and select from "Wilson" to "Exemplar" and copy the selection, this is what is copied in both browsers:

  • Google Chrome 32.0.1700.77: ---------------------

Wilson
See also[edit]

Exemplar

  • Firefox 26.0: --------------------- Wilson

See also

Exemplar

  • This removed the ability of selecting the text of custom toggles (bug 60441)
  • This removes our ability to detect "cut and paste moves" using abuse filter:

https://en.wikipedia.org/wiki/Special:AbuseFilter/164
https://pt.wikipedia.org/wiki/Special:Abusefilter/95

Add Comment